### Method

# Gtk TreeModel iter_children

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_tree_model_iter_children (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter,
      GtkTreeIter* parent
    )

#### Description [src]

Sets `iter` to point to the first child of `parent`.

If `parent` has no children, `FALSE` is returned and `iter` is set to be invalid. `parent` will remain a valid node after this function has been called.

If `parent` is `NULL` returns the first node, equivalent to `gtk_tree_model_get_iter_first (tree_model, iter);`

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  The new `GtkTreeIter` to be set to the child.

  The argument will be set by the function.
  The data is owned by the instance.

`parent`

  Type: `GtkTreeIter`

  The `GtkTreeIter`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE`, if `iter` has been set to the first child.